MarinerWrtTextInternal::Zone::Information Struct Reference

struct used to keep the information of a small zone of MarinerWrtTextInternal::Zone More...

## Public Member Functions
| Information ()
| constructor

## Public Attributes
MWAWEntry | m_pos
| the file position
MWAWVec2l | m_cPos
| the characters positions
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator<<

## Detailed Description

struct used to keep the information of a small zone of MarinerWrtTextInternal::Zone

## Constructor & Destructor Documentation

## ◆ Information()

MarinerWrtTextInternal::Zone::Information::Information | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Information const & | info )
| friend

operator<<

## Member Data Documentation

## ◆ m_cPos

MWAWVec2l MarinerWrtTextInternal::Zone::Information::m_cPos

the characters positions

Referenced by Information(), operator<<, and MarinerWrtText::readTextStruct().

## ◆ m_extra

std::string MarinerWrtTextInternal::Zone::Information::m_extra

extra data

Referenced by Information(), operator<<, and MarinerWrtText::readTextStruct().

## ◆ m_pos

MWAWEntry MarinerWrtTextInternal::Zone::Information::m_pos

the file position

Referenced by Information().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx